Subject: Re: [PATCH] leds: implement OpenFirmare GPIO LED driver

From: Grant Likely <[email-masked]>
Date: Thu, 17 Jul 2008 09:07:15 -0600

On Thu, Jul 17, 2008 at 03:07:30PM +0400, Anton Vorontsov wrote:
> On Thu, Jul 17, 2008 at 07:59:03AM +0200, Segher Boessenkool wrote:
> > What would be the parent node of this, btw?
> 
> This is tricky question. Personally I place them inside the gpio
> controller node that is responsible for the LED. But I think placing the
> led nodes at top level would be also fine (maybe with "leds { }" node as
> a parent for all board's LEDs. What would you suggest for a "best
> practice"?

I like this idea (a 'leds' parent node).  They aren't really children
of the GPIO node or any other device/bus in the system.  Putting them
under a dedicated 'leds' node would make them easy to find and would
have the added advantage of making it easier to have a single driver
instance manage the whole lot.

g.